/***************************************************************************
                          statusbar.c  -  description
                             -------------------
    begin                : Wed Feb 7 2001
    copyright            : (C) 2001 by Felix Gertz
    email                : felix_gertz@das-fluppt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <gtk/gtk.h>
#include <stdio.h>
#include <glib.h>

#include "interface.h"
#include "callbacks.h"
#include "support.h"
#include "pronews.h"
#include "statusbar.h"

void statusbar_push_item( GtkWidget *widget, gpointer   data,char buff[])
{
  gtk_statusbar_push( GTK_STATUSBAR(statusbar1),GPOINTER_TO_INT(data), buff);

  return;
}

void statusbar_pop_item(GtkWidget *widget, gpointer data)
{
  gtk_statusbar_pop( GTK_STATUSBAR(statusbar1), GPOINTER_TO_INT(data) );
  return;
}

void statusbar_refresh()
{
	statusbar_pop_item(NULL,GINT_TO_POINTER(statusbar1_context_id));
	if(onoff_status==0) statusbar_push_item(NULL,GINT_TO_POINTER(statusbar1_context_id)," Offline");
	if(onoff_status==1) statusbar_push_item(NULL,GINT_TO_POINTER(statusbar1_context_id)," Online");	
}

void statusbar_search()
{
	statusbar_push_item(NULL,GINT_TO_POINTER(statusbar1_context_id)," Suche nach neuen News...");
}

void statusbar_get()
{
	statusbar_push_item(NULL,GINT_TO_POINTER(statusbar1_context_id)," Hole neue News...");
}

void statusbar_pop()
{
	statusbar_pop_item(NULL,GINT_TO_POINTER(statusbar1_context_id));
}